info:
  name: elixPro - Check promotion to Production
  type: http
  seq: 11

http:
  method: GET
  url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento/workflow/release-check?procedureTag=gestione_siti_web_nuovo_wf"
  params:
    - name: procedureTag
      value: gestione_siti_web_nuovo_wf
      type: query
  auth: inherit

runtime:
  scripts:
    - type: tests
      code: |-
        test("ISIPSESSION cookie found", function () {
          const isipsessionCookie = bru.cookies.get("ISIPSESSION");
          expect(isipsessionCookie).to.not.be.null;
          expect(isipsessionCookie).to.not.be.empty;
        });

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: false

examples:
  - name: example
    request:
      url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento/workflow/release-check?procedureTag=gestione_siti_web_nuovo_wf"
      method: GET
      params:
        - name: procedureTag
          value: gestione_siti_web_nuovo_wf
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Mon, 31 Aug 2026 13:29:04 GMT
        - name: server
          value: "Payara Server 6.2025.1 #badassfish"
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'; img-src 'self' blob: data: https:;"
        - name: content-type
          value: application/json;charset=UTF-8
        - name: content-length
          value: "154"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: strict-transport-security
          value: max-age=31536000; includeSubDomains
        - name: x-xss-protection
          value: "1"
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: keep-alive
          value: timeout=10, max=500
        - name: connection
          value: Keep-Alive
      body:
        type: json
        data: |-
          {
            "ok": true,
            "data": {
              "ready": true,
              "procedureTag": "gestione_siti_web_nuovo_wf",
              "technicalDetail": "La bozza non è pronta per la pubblicazione.",
              "issues": []
            }
          }
